using System.Windows.Forms;

namespace PostCardHitsuji.Utils.WinControlAttacher
{
    public class DialogAttacher
    {

        public static SaveFileDialog createFileSaveDialog(string filter)
        {
            SaveFileDialog dialog = new SaveFileDialog();
            dialog.Filter = filter;
            dialog.RestoreDirectory = true;
            return dialog;
        }

        public static OpenFileDialog createOpenFileDialog(string filter)
        {
            OpenFileDialog dialog = new OpenFileDialog();
            dialog.Filter = filter;
            dialog.RestoreDirectory = true;
            dialog.Multiselect = false;
            return dialog;
        }

    }
}
